Summary: PKCS#12 utility
Name: pkcs12
Version: 053b
Release: 0
Copyright: GPL
Group: Libraries
Source0: http://www.drh-consultancy.demon.co.uk/%{name}-prog-%{version}-tar.gz
Patch0: pkcs-makefile.patch
Buildroot: /var/tmp/%{name}-root
URL: http://www.drh-consultancy.demon.co.uk/pkcs12faq.html
Packager: Henri Gomez <gomez@slib.fr>


%description
The program "pkcs12" is a utility which uses the PKCS#12 routines. It can
be used to pull apart and create PKCS#12 files. In particular it is
compatible with MSIE 4.0 and Netscape 4.04 and later implementations.

This build is not for use in the U.S., you will have
to build your own bjorb with RSAref for that
due to patent problems.

Built for glibc6 on RedHat 5.2

%changelog

* Tue Feb  9 1999 Henri Gomez <gomez@slib.fr>
- Initial RPM release 053b
- Requires only libssl and libcrypto for OpenSSL compatibility.

%prep

%setup -c  %{name}-prog-%{version}

%patch0

%build
cd src
CFLAGS="$RPM_OPT_FLAGS" make

%install
cd src
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/ssl

install libpkcs12.a $RPM_BUILD_ROOT/usr/lib
install pkcs12      $RPM_BUILD_ROOT/usr/bin
install pkcs12.h    $RPM_BUILD_ROOT/usr/include/ssl

mkdir -p $RPM_BUILD_ROOT/var/log/bjorb
mkdir -p $RPM_BUILD_ROOT/var/ssl/certs
install pkcs12 $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%attr(755,root,root)  /usr/bin/pkcs12
%attr(644,root,root)  /usr/lib/libpkcs12.a
%attr(644,root,root)  /usr/include/ssl/pkcs12.h 
%doc BUGS     CHANGES  INSTALL  LICENSE  README doc/

